ulong record_exists (p_record array[], int length, p_record _)
{
  ulong -a equals (p_record current, p_record _)
  {
    ...
  }

  for (cntr = 0; cntr < length; cntr ++)
  {
    if (array[cntr]->equals (record)) return 1;
  }
  else
  {
    return 0;
  }
}
